Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Development (http://www.linux-archive.org/fedora-development/)
-   -   No lzma sdk in fedora? (http://www.linux-archive.org/fedora-development/324827-no-lzma-sdk-fedora.html)

John Reiser 02-12-2010 03:56 AM

No lzma sdk in fedora?
 
> I want to package a sofware using a bundled lzma sdk which fedora
> doesn't have(http://7-zip.org/sdk.html).

Fedora 12 has package lzma-libs which is generated by lzma-4.32.7-3.fc12.src.rpm.
Perhaps you should confer with the maintainer of the Fedora lzma package
if you desire a later lzma version (such as 4.65, 9.07 beta, or 9.10 beta.)

----- http://cvs.fedoraproject.org/viewvc/rpms/lzma/devel/lzma.spec?revision=1.9&view=markup
Source0: http://tukaani.org/%{name}/%{name}-%{version}.tar.lzma
-----

--
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Bruno Wolff III 02-12-2010 05:40 AM

No lzma sdk in fedora?
 
On Fri, Feb 12, 2010 at 11:39:02 +0800,
Chen*Lei <supercyper@163.com> wrote:
> Hi all,
> I want to package a sofware using a bundled lzma sdk which fedora doesn't have(http://7-zip.org/sdk.html).
> Since I realized no linux distribution containing lzma sdk yet, is using a bundled library permitted under this condition,?

We have an out of date version that isn't getting updated upstream and
we have a replacement library that uses a different API but which can
probably do what you want with some wrappers.

I have an interest in this as well as the development version of squashfs
tools uses the latest SDK and won't directly work with either current
library.

Bundling it wouldn't be permitted.

Personally I'd like to see it replace the old lzma stuff, since xz provides
compatible utility programs and I don't think anything else is likely to
be using that library. Having three libraries doing almost the same thing
seems excessive.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Orcan Ogetbil 02-12-2010 07:44 AM

No lzma sdk in fedora?
 
On Thu, Feb 11, 2010 at 10:39 PM, Chen*Lei wrote:
> Hi all,
> I want to package a sofware using a bundled lzma sdk which fedora doesn't
> have(http://7-zip.org/sdk.html).
> Since *I realized no linux distribution containing*lzma sdk yet, is*using a
> bundled library permitted under this condition,?
>
>

Just for the record, we have a SevenZip package, which contains the
java part of the sdk from the above link. If you want to make a more
comprehensive package, let me know so that we can do the
obsoletes/provides/retirement in coordination.

Orcan
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel

Kevin Kofler 02-12-2010 10:57 AM

No lzma sdk in fedora?
 
Bruno Wolff III wrote:
> We have an out of date version that isn't getting updated upstream and
> we have a replacement library that uses a different API but which can
> probably do what you want with some wrappers.
>
> I have an interest in this as well as the development version of squashfs
> tools uses the latest SDK and won't directly work with either current
> library.
>
> Bundling it wouldn't be permitted.
>
> Personally I'd like to see it replace the old lzma stuff, since xz
> provides compatible utility programs and I don't think anything else is
> likely to be using that library. Having three libraries doing almost the
> same thing seems excessive.

Yeah, please package the LZMA SDK as lzma-sdk, the sooner we can get an
LZMA-enabled squashfs, the better! (The KDE spin could really use the saved
space!)

Kevin Kofler

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel


All times are GMT. The time now is 12:12 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.